<!DOCTYPE html>
	<html>
	<head>
		<meta charset= "utf-8">
		<title>Fetch API</title>
	</head>
	<body>
	<h1>Using Fetch API</h1>
	<div id ="output"></div>
	<button id= "btn1">Get Data</button>
	<script>
			

		const getData = () => {
			fetch('https://jsonplaceholder.typicode.com/posts')
		.then((response) =>{
			// console.log('resolved',response)
			return response.json();
		}).then((data) =>{
			console.log(data)
			let users = "";
			data.forEach((user) => {
				users +=`
				<div>	
					<h3>${user.name}</h3>
					<p>	${user.email}</p>
				</div>;`

			});
		})

		.catch((err) =>{
			console.log('rejected', err)
		});

		document.querySelector('output').innerHTML = users;
	}

		const btn1 = document.querySelector('#btn1');
		btn1.addEventListener(`click`, getData);

		
	
		// fetch('https://jsonplaceholder.typicode.com/posts')
		// .then(() =>{

		// })
		// .catch(() =>{

		// })

	</script>
	</body>
</html>